### Method

# Camel Service ref_session

since: 3.8

#### Declaration [src]

    _CamelSession*
    camel_service_ref_session (
      CamelService* service
    )

#### Description [src]

Returns the `CamelSession` associated with the service.

The returned `CamelSession` is referenced for thread-safety. Unreference the `CamelSession` with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `CamelSession`

The `CamelSession`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.